/*
	@(#)slbload/shared.c
	
	Julian F. Reschke, 13. Juli 1998
*/

#include <stdio.h>
#include <tos.h>

int errno;

long cdecl
slb_init (void)
{
	fprintf (stderr, "test.slb: slb_init() called\n");
	return 0;
}

void cdecl
slb_exit (void)
{
	fprintf (stderr, "test.slb: slb_exit() called\n");
}

long cdecl
slb_open (BASPAG *bp)
{
	fprintf (stderr, "test.slb: slb_open() by PD %p\n", bp);
	return 0;
}

void cdecl
slb_close (BASPAG *bp)
{
	fprintf (stderr, "test.slb: slb_close() by PD %p\n", bp);
}

long cdecl
test_fun (BASPAG *bp, long fn, int nargs, ...)
{
	fprintf (stderr, "test.slb: function %ld called by PD %p with %d bytes of stack information\n",
		fn, bp, nargs);
	
	return 0;
}
